buildscript {
    ext {
        springBootVersion = '2.4.13'
    }
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath "org.springframework.boot:spring-boot-gradle-plugin:${springBootVersion}"
        classpath "io.spring.gradle:dependency-management-plugin:1.0.4.RELEASE"
    }
}

// 하위 모든 프로젝트 공통 세팅
subprojects {
    group = 'com.utic.center'
    version = '0.0.1'

    apply plugin: 'java'
    apply plugin: 'idea'
    apply plugin: 'org.springframework.boot'
    apply plugin: 'io.spring.dependency-management'

    sourceCompatibility = '1.8'
    targetCompatibility = '1.8'
    compileJava.options.encoding = 'UTF-8'

    repositories {
        mavenCentral()
    }

    // 하위 모듈에서 공통으로 사용하는 세팅 추가
    dependencies {
//        compileOnly 'org.projectlombok:lombok'
//
//        annotationProcessor 'org.projectlombok:lombok'
//        annotationProcessor "org.springframework.boot:spring-boot-configuration-processor"
//
//        implementation 'org.springframework.boot:spring-boot-starter-test'
//
//        testImplementation 'org.junit.jupiter:junit-jupiter-api:5.7.0'
//        testRuntimeOnly 'org.junit.jupiter:junit-jupiter-engine:5.7.0'
    }

    test {
        useJUnitPlatform()
    }
}

// 각 프로젝트에서만 사용하는 의존성 추가
project(':utic-center-common') {
    bootJar.enabled = false
    jar.enabled = true
    dependencies {
//        implementation 'org.springframework.boot:spring-boot-starter-web'
//        testImplementation 'org.springframework.boot:spring-boot-starter-test'
    }
}

project(':utic-ptis-server') {
    jar.enabled = false
    dependencies {
//        implementation 'org.springframework.boot:spring-boot-starter-web'
    }
}

project(':utic-stat-server') {
    jar.enabled = false
    dependencies {
//        implementation 'org.springframework.boot:spring-boot-starter-web'
    }
}

project(':utic-traf-server') {
    jar.enabled = false
    dependencies {
//        implementation 'org.springframework.boot:spring-boot-starter-web'
    }
}

